VERSION 5.00
Object = "{48E59290-9880-11CF-9754-00AA00C00908}#1.0#0"; "MSINET.OCX"
Begin VB.Form Form1 
   Caption         =   "Download Files via FTP"
   ClientHeight    =   5100
   ClientLeft      =   1095
   ClientTop       =   1515
   ClientWidth     =   6990
   LinkTopic       =   "Form1"
   ScaleHeight     =   5100
   ScaleWidth      =   6990
   Begin VB.Frame Frame1 
      Caption         =   "Display Options"
      Height          =   855
      Left            =   4800
      TabIndex        =   6
      Top             =   720
      Width           =   1935
      Begin VB.OptionButton Option2 
         Caption         =   "Don't display"
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   480
         Value           =   -1  'True
         Width           =   1695
      End
      Begin VB.OptionButton Option1 
         Caption         =   "Display in text box"
         Height          =   255
         Left            =   120
         TabIndex        =   7
         Top             =   240
         Width           =   1695
      End
   End
   Begin VB.TextBox txtLocalPath 
      Height          =   375
      Left            =   480
      TabIndex        =   5
      Text            =   "C:\Vb6Sbs\Less19\disclaimer.txt"
      Top             =   1680
      Width           =   3975
   End
   Begin VB.TextBox txtServerPath 
      Height          =   375
      Left            =   480
      TabIndex        =   4
      Text            =   "disclaimer.txt"
      Top             =   1200
      Width           =   3975
   End
   Begin InetCtlsObjects.Inet Inet1 
      Left            =   6120
      Top             =   0
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      RequestTimeout  =   80
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Download Now"
      Height          =   375
      Left            =   5040
      TabIndex        =   3
      Top             =   1680
      Width           =   1455
   End
   Begin VB.TextBox txtURLbox 
      Height          =   375
      Left            =   480
      TabIndex        =   2
      Text            =   "ftp://ftp.microsoft.com"
      Top             =   720
      Width           =   3975
   End
   Begin VB.TextBox txtNote 
      Height          =   2655
      Left            =   240
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   2280
      Width           =   6495
   End
   Begin VB.Label Label1 
      Caption         =   "Enter the URL for the FTP site, the file you want on the server, and the new filename on your hard disk, then click Download Now."
      Height          =   375
      Left            =   480
      TabIndex        =   1
      Top             =   120
      Width           =   5175
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Declare variables for URL, location of file on server,
'and destination pathname for file on hard disk
Dim strUrl As String           'URL is ftp site
Dim strSource As String
Dim strDest As String

Private Sub Command1_Click()
'Connect to ftp site and copy file to hard disk
strUrl = txtURLbox.Text        'get URL from user
strSource = txtServerPath.Text 'get path to source file
strDest = txtLocalPath.Text    'get destination path
'Use Execute method and GET operation to copy file
Inet1.Execute strUrl, "GET " & strSource & " " & strDest
End Sub

Private Sub Inet1_StateChanged(ByVal State As Integer)
'This event is triggered when the control completes
'various tasks, like connecting and logging errors
Dim strAllText As String 'dim two variables for
Dim strLine As String    'displaying text file
'When the transfer is complete or an error occurs,
'process the state appropriately
Select Case State
Case icError   'if there is an error, describe it
    If Inet1.ResponseCode = 80 Then 'file exists error
        MsgBox "File Exists! Please specify new destination"
    Else       'if not code 80, then show unknown error
        MsgBox Inet1.ResponseInfo, , "File transfer failed"
    End If
Case icResponseCompleted         'if ftp successful
    If Option1.Value = True Then 'and display requested
        Open strDest For Input As #1 'open in text box
        Do Until EOF(1)
            Line Input #1, strLine   'read each line
            strAllText = strAllText & strLine & vbCrLf
        Loop
        Close #1
        txtNote.Text = strAllText    'copy to text box
    Else  'if the user selects no text display (default)
        txtNote.Text = ""  'simply announce completion
        MsgBox "Transfer complete", , strDest
    End If
End Select
End Sub
